package config

import "git.loafle.net/overflow/overflow-service-websocket/commons/config"

type Config struct {
	Websocket Websocket
	Grpc      GRpc
}

type Websocket struct {
	WriteTimeout    int8  `default:"0"`
	ReadTimeout     int8  `default:"0"`
	PongTimeout     int8  `default:"60"`
	PingTimeout     int8  `default:"10"`
	MaxMessageSize  int64 `default:"1024"`
	ReadBufferSize  int   `default:"4096"`
	WriteBufferSize int   `default:"4096"`
}

type GRpc struct {
	Host string `required:"true"`
	Port int16  `required:"true"`
	Tls  bool   `default:"false"`
}

func LoadConfig(filename string) (*Config, error) {
	var c Config
	err := config.Load(&c, filename)
	if nil != err {
		return nil, err
	}
	return &c, nil
}
